Attribute VB_Name = "Module1"
Option Explicit


' =========================================================

Declare Function GetWindowsDirectory Lib "kernel32" Alias "GetWindowsDirectoryA" _
                            (ByVal lpBuffer As String, _
                            ByVal nSize As Long) As Long

' =========================================================

Declare Sub InitCommonControls Lib "comctl32.dll" ()

' Retrieves the number of images in an image list.
Declare Function ImageList_GetImageCount Lib "comctl32" _
                            (ByVal himl As Long) As Long
                            
' Retrieves the dimensions of images in an image list. All images in an image
' list have the same dimensions. Rtns non-zero if successful, False (0) if failure.
Declare Function ImageList_GetIconSize Lib "comctl32" _
                            (ByVal himl As Long, _
                            cx As Long, _
                            cy As Long) As Boolean

' Creates an icon or cursor based on an image and mask in an image list.
' If the function succeeds, the return value is the handle of the icon or cursor.
' If the function fails, the return value is NULL.
Declare Function ImageList_GetIcon Lib "comctl32" _
                            (ByVal himl As Long, _
                            ByVal i As Long, _
                            ByVal flags As Long) As Long

' i = Index of the image.

' flags = Flag specifying the drawing style. This parameter can be one or more
' of the following values:

' Draws the image using the background color for the image list. If the background
' color is the CLR_NONE value, the image is drawn transparently using the mask.
Public Const ILD_NORMAL = &H0

' Draws the image transparently using the mask, regardless of the background
' color. This value has no effect if the image list does not contain a mask.
Public Const ILD_TRANSPARENT = &H1

' Draws the image, blending 25 percent with the system highlight color. This value
' has no effect if the image list does not contain a mask.
Public Const ILD_BLEND25 = &H2
Public Const ILD_FOCUS = ILD_BLEND25

' Draws the image, blending 50 percent with the system highlight color. This value
' has no effect if the image list does not contain a mask.
Public Const ILD_BLEND50 = &H4
Public Const ILD_SELECTED = ILD_BLEND50
Public Const ILD_BLEND = ILD_BLEND50

' Draws the mask.
Public Const ILD_MASK = &H10

Public Const ILD_IMAGE = &H20

Public Const ILD_OVERLAYMASK = &HF00
' #define INDEXTOOVERLAYMASK(i)   ((i) << 8)

' No background color. The image is drawn transparently.
Public Const CLR_NONE = &HFFFF

' Default background color. The image is drawn using the background color of the
' image list.
Public Const CLR_DEFAULT = &HFF000000
Public Const CLR_HILIGHT = CLR_DEFAULT
 
' =========================================================

Declare Function DrawIconEx Lib "user32" _
                            (ByVal hdc As Long, _
                             ByVal xLeft As Long, _
                             ByVal yTop As Long, _
                             ByVal hIcon As Long, _
                             ByVal cxWidth As Long, _
                             ByVal cyWidth As Long, _
                             ByVal istepIfAniCur As Long, _
                             ByVal hbrFlickerFreeDraw As Long, _
                             ByVal diFlags As Long) As Boolean

' DrawIconEx() diFlags values:
Public Const DI_MASK = &H1
Public Const DI_IMAGE = &H2
Public Const DI_NORMAL = &H3
Public Const DI_COMPAT = &H4
Public Const DI_DEFAULTSIZE = &H8

Declare Function DestroyIcon Lib "user32" _
                            (ByVal hIcon As Long) As Long
